<?php

namespace Restaurant\Instagram\Seeders;

use DB;
use Illuminate\Database\Seeder;

class InstagramCampaignTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('instagram_campaigns')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'instagram.instagram_campaign.view',
                'name'      => 'View InstagramCampaign',
            ],
            [
                'slug'      => 'instagram.instagram_campaign.create',
                'name'      => 'Create InstagramCampaign',
            ],
            [
                'slug'      => 'instagram.instagram_campaign.edit',
                'name'      => 'Update InstagramCampaign',
            ],
            [
                'slug'      => 'instagram.instagram_campaign.delete',
                'name'      => 'Delete InstagramCampaign',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/instagram/instagram_campaign',
                'name'        => 'InstagramCampaign',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/instagram/instagram_campaign',
                'name'        => 'InstagramCampaign',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'instagram_campaign',
                'name'        => 'InstagramCampaign',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Instagram',
                'module'    => 'InstagramCampaign',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'instagram.instagram_campaign.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
