Lavalite package that provides instagram management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `restaurant/instagram`.

    "restaurant/instagram": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Restaurant\Instagram\Providers\InstagramServiceProvider::class,

And also add it to alias

    'Instagram'  => Restaurant\Instagram\Facades\Instagram::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Restaurant\\Instagram\\Seeders\\InstagramTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Restaurant\Instagram\Providers\InstagramServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Restaurant\Instagram\Providers\InstagramServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Restaurant\Instagram\Providers\InstagramServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/instagram/{modulename}

**User**

    http://path-to-route-folder/user/instagram/{modulename}

**Public**

    http://path-to-route-folder/instagrams


### API endpoints

**List**

    http://path-to-route-folder/api/user/instagram/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/instagram/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/instagram/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/instagram/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/instagram/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/instagram/{modulename}/{slug}
    METHOD: GET