<?php

namespace Restaurant\Instagram\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class InstagramCampaignResource extends JsonResource
{

    public function itemLink()
    {
        return guard_url('instagram/instagram_campaign') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray($request)
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'restaurant_id' => $this->restaurant_id,
            'campaign_id' => $this->campaign_id,
            'template_id' => $this->template_id,
            'post_to' => $this->post_to,
            'post_content' => $this->post_content,
            'post_response' => $this->post_response,
            'user_id' => $this->user_id,
            'user_type' => $this->user_type,
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
            ],
        ];
    }
}
